#!/usr/bin/python

# Plot Ftube
#
# Special for OneTriode by NaLex
# V1.0

from pylab import *


# File name
openFile = 'Stage-1  Vp=320V  Rp=220K  Ri=68K'

ext = '.txt'

# Path to file
filePath = 'Source\\'


def plot_Ftube(path):
    file = open(path, 'r')
    strAry = [line.strip() for line in file]
    lenAry = len(strAry)
    if float(strAry[lenAry-1]) != (lenAry-6):
        file.close() # close file
        print ("Incorrect File")
        return
    Vi = linspace(float(strAry[lenAry-3]), float(strAry[lenAry-2]), float(strAry[lenAry-1]))
    Vp = zeros_like(Vi)
    for i, v in enumerate(Vi):
        Vp[i] = float(strAry[i])
    plot(Vi, Vp, '-')#, label="Ri")
    plot(0, 0, label="Vp=%dV" % (float(strAry[lenAry-6])))
    plot(0, 0, label="Rp=%dk" % (float(strAry[lenAry-5])/1e3))
    plot(0, 0, label="Ri=%dk" % (float(strAry[lenAry-4])/1e3))
    xlabel("Vi")
    ylabel("Vp")
    #legend(['1', '2'], loc='best')
    legend()
    #axis
    file.close() # close file
    show()

def main():
    fullFilePath = filePath + openFile + ext
    plot_Ftube(fullFilePath)

if __name__ == "__main__":
    main()
